import SwiftUI

struct ChatsMainScreen: View {
    @EnvironmentObject var store: AppStore

    var body: some View {
        VStack {
            SharedHeader(title: "Chats")

            VStack {
                Text("Under construction")
            }
                .frame(maxHeight: .infinity)

            SharedTabBar()
                .frame(height: 48)
        }
            .background(Color.Main.backgroundLight)
    }
}

#if DEBUG
    struct ChatsMainScreen_Previews: PreviewProvider {
        static var previews: some View {
            showPreview(stateConfig: { state in
                state.currentFlow = .chats
            })
        }
    }
#endif
